KHEXEDIT(1)

NAME
khexedit - TDE hex editor

SYNOPSIS
khexedit [Qt-options] [TDE-options] [options] [file(s)]

DESCRIPTION
KHexEdit is an editor for the raw data of binary files. It includes find/replace functions, bookmarks, many configuration options, drag and drop support and other powerful features.

When a document is opened, the bytes are displayed in hexadecimal format in the data editor window. The data can be edited, cut, copied, pasted, dragged and dropped much as text is in an text editor or word processor. A cursor marks the current position. Pressing the Insert key toggles between overwrite and insert text entry modes. The data can also be displayed as octal, binary or decimal values, by choosing the desired format in the View menu.

The offset column on the left indicates the position of a particular byte in the file. The text field on the right displays the ASCII encoding of the file. The cursor position and edits in the data editor window are reflected in the text field. The text field can also be edited, and those changes are reflected in the data editor window.

The search bar allows the user to search for a specific value -- hexadecimal, octal, binary, decimal or text.

The conversion field displays the value of the byte at the cursor position in a variety of bases. It also displays the value of all standard data types starting at the cursor.

Multiple documents can be open at the same time but only one can be active. Use the Documents menu to select which document will be active.

OPTIONS

  Arguments:

  file(s) File(s) to open

  Options:

--offset <offset>
    Jump to 'offset'

  Generic options:

  --help
Show help about options

--help-qt
    Show Qt specific options

--help-tde
    Show TDE specific options

--help-all
    Show all options

--author
    Show author information

-v, --version
    Show version information

--license
    Show license information

--  End of options

  Qt options:

  --display <displayname>
Use the X-server display 'displayname'

--session <sessionId>
    Restore the application for the given 'sessionId'

--cmap
    Causes the application to install a private color map on an 8-bit display

--ncols <count>
    Limits the number of colors allocated in the color cube on an 8-bit display, if the application is using the QApplication::ManyColor color specification

--nograb
    tells Qt to never grab the mouse or the keyboard

--dograb
    running under a debugger can cause an implicit -nograb, use -dograb to override

--sync
    switches to synchronous mode for debugging

--fn, --font <fontname>
    defines the application font

--bg, --background <color>
    sets the default background color and an application palette (light and dark shades are calculated)

--fg, --foreground <color>
    sets the default foreground color

--btn, --button <color>
    sets the default button color

--name <name>
    sets the application name

--title <title>
    sets the application title (caption)

--visual TrueColor
    forces the application to use a TrueColor visual on an 8-bit display

--inputstyle <inputstyle>
    sets XIM (X Input Method) input style. Possible values are onthespot, overthespot, offthespot and root

--im <XIM server>
    set XIM server

--noxim
    disable XIM

--reverse
    mirrors the whole layout of widgets

  TDE options:

  --caption <caption>
Use 'caption' as name in the titlebar

--icon <icon>
    Use 'icon' as the application icon

--miniicon <icon>
    Use 'icon' as the icon in the titlebar

--config <filename>
    Use alternative configuration file

--dcopserver <server>
    Use the DCOP Server specified by 'server'

--nocrashhandler
    Disable crash handler, to get core dumps

--waitforwm
    Waits for a WM_NET compatible windowmanager

--style <style>
    sets the application GUI style

--geometry <geometry>
    sets the client geometry of the main widget - see man X for the argument format

SEE ALSO

  Full user documentation is available through the TDE Help Center. You can also enter the URL
help:/khexedit/ directly into konqueror or you can run khelpcenter help:/khexedit/ from the command-line.

AUTHORS
Espen Sand <espensa@online.no>
Please use http://bugs.trinitydesktop.org to report bugs; do not mail the author directly.

This manual page was written by Holger Hartmann <Holger_Hartmann@gmx.de> for the Debian Project, but may be used by others. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.